<?php

namespace Planaday\Utility\FormBuilder;

use JsonSerializable;

interface Validator extends JsonSerializable{
	public function getName(): string;
	public function validate(mixed $data): bool|string;
	public function addCondition(Condition ...$conditions): static;
}